ghc-8.2.2: The GHC API

Safe Haskell | None
Language | Haskell2010

Specialise

Synopsis

- specProgram :: ModGuts -> CoreM ModGuts
- specUnfolding :: [Var] -> (CoreExpr -> CoreExpr) -> Arity -> Unfolding -> Unfolding

# Documentation

specProgram :: ModGuts -> CoreM ModGuts #

Specialise calls to type-class overloaded functions occuring in a program.

specUnfolding :: [Var] -> (CoreExpr -> CoreExpr) -> Arity -> Unfolding -> Unfolding #